Skip to main content
GET
/
api
/
extensions
/
beta
/
official-installs
/
{id}
Get a Domino Official Extension install by id
curl --request GET \
  --url https://api.example.com/api/extensions/beta/official-installs/{id} \
  --header 'X-Domino-Api-Key: <api-key>'
{
  "availableVersions": [
    {
      "extensionVersion": "<string>",
      "isCompatible": true,
      "manifestSchemaVersion": 123,
      "minDominoVersion": "<string>",
      "releaseTag": "<string>",
      "maxDominoVersion": "<string>",
      "testedWithDominoVersions": [
        "<string>"
      ]
    }
  ],
  "remoteRepo": "<string>",
  "versionsFetchFailed": true,
  "currentInstall": {
    "extensionInstallId": "<string>",
    "extensionReleaseTag": "<string>",
    "extensionVersion": "<string>",
    "id": "<string>",
    "isComplete": true,
    "manifestSchemaVersion": 123,
    "startedAt": "2023-11-07T05:31:56Z",
    "startedBy": {
      "firstName": "<string>",
      "id": "<string>",
      "lastName": "<string>",
      "userName": "<string>"
    },
    "steps": [
      {
        "logs": [
          "<string>"
        ],
        "transitions": [
          {
            "changedAt": "2023-11-07T05:31:56Z",
            "error": "<string>",
            "statusString": "<string>"
          }
        ],
        "startedAt": "2023-11-07T05:31:56Z"
      }
    ],
    "cancelRequested": true,
    "completedAt": "2023-11-07T05:31:56Z",
    "managedDominoEntitiesV1": {
      "manifestSchemaVersion": 123,
      "appId": "<string>",
      "appVersionId": "<string>",
      "environmentId": "<string>",
      "environmentRevisionId": "<string>",
      "extensionId": "<string>",
      "projectId": "<string>"
    },
    "manifestV1": {
      "app": {
        "appDescription": "<string>",
        "appName": "<string>",
        "appVersionDescription": "<string>",
        "computeEnvironment": {
          "customEnvironment": {
            "baseImage": "<string>",
            "dockerfilePath": "<string>",
            "autoCompatibleWithDomino": true,
            "buildArgs": {},
            "name": "<string>"
          }
        },
        "entryPoint": "<string>",
        "vanityUrl": "<string>",
        "autoscalingSpec": {
          "enabled": true,
          "maxReplicas": 123,
          "minReplicas": 123,
          "scaleDownStabilizationWindowSeconds": 123,
          "scaleUpStabilizationWindowSeconds": 123,
          "targetCpuAvgUtilizationPct": 123,
          "targetMemoryAvgUtilizationPct": 123,
          "useSessionAffinity": true
        },
        "discoverable": true,
        "enableDeepLinking": true,
        "externalVolumeMounts": [
          "<string>"
        ],
        "hardwareTierIdSuggestion": "<string>",
        "mountDatasets": true
      },
      "extension": {
        "description": "<string>",
        "enabled": true,
        "name": "<string>",
        "uiMountPointTypeConfigs": {
          "adminPanel": {
            "enabled": true,
            "urlConfig": {
              "contextualQueryParams": [
                "<string>"
              ],
              "route": "<string>"
            }
          },
          "dataset": {
            "enabled": true,
            "urlConfig": {
              "contextualQueryParams": [
                "<string>"
              ],
              "route": "<string>"
            }
          },
          "datasetFileContext": {
            "enabled": true,
            "allProjects": true,
            "fileTypes": [
              "<string>"
            ],
            "urlConfig": {
              "contextualQueryParams": [
                "<string>"
              ],
              "route": "<string>"
            }
          },
          "modelDetails": {
            "enabled": true,
            "urlConfig": {
              "contextualQueryParams": [
                "<string>"
              ],
              "route": "<string>"
            }
          },
          "projectSidebar": {
            "enabled": true,
            "allProjects": true,
            "urlConfig": {
              "contextualQueryParams": [
                "<string>"
              ],
              "route": "<string>"
            }
          },
          "topBar": {
            "enabled": true,
            "urlConfig": {
              "contextualQueryParams": [
                "<string>"
              ],
              "route": "<string>"
            }
          }
        }
      },
      "manifestSchemaVersion": 123,
      "project": {
        "description": "<string>",
        "name": "<string>"
      }
    },
    "uninstallAttempts": 123,
    "uninstallRequested": true
  },
  "description": "<string>",
  "id": "<string>",
  "incompleteInstall": {
    "extensionInstallId": "<string>",
    "extensionReleaseTag": "<string>",
    "extensionVersion": "<string>",
    "id": "<string>",
    "isComplete": true,
    "manifestSchemaVersion": 123,
    "startedAt": "2023-11-07T05:31:56Z",
    "startedBy": {
      "firstName": "<string>",
      "id": "<string>",
      "lastName": "<string>",
      "userName": "<string>"
    },
    "steps": [
      {
        "logs": [
          "<string>"
        ],
        "transitions": [
          {
            "changedAt": "2023-11-07T05:31:56Z",
            "error": "<string>",
            "statusString": "<string>"
          }
        ],
        "startedAt": "2023-11-07T05:31:56Z"
      }
    ],
    "cancelRequested": true,
    "completedAt": "2023-11-07T05:31:56Z",
    "managedDominoEntitiesV1": {
      "manifestSchemaVersion": 123,
      "appId": "<string>",
      "appVersionId": "<string>",
      "environmentId": "<string>",
      "environmentRevisionId": "<string>",
      "extensionId": "<string>",
      "projectId": "<string>"
    },
    "manifestV1": {
      "app": {
        "appDescription": "<string>",
        "appName": "<string>",
        "appVersionDescription": "<string>",
        "computeEnvironment": {
          "customEnvironment": {
            "baseImage": "<string>",
            "dockerfilePath": "<string>",
            "autoCompatibleWithDomino": true,
            "buildArgs": {},
            "name": "<string>"
          }
        },
        "entryPoint": "<string>",
        "vanityUrl": "<string>",
        "autoscalingSpec": {
          "enabled": true,
          "maxReplicas": 123,
          "minReplicas": 123,
          "scaleDownStabilizationWindowSeconds": 123,
          "scaleUpStabilizationWindowSeconds": 123,
          "targetCpuAvgUtilizationPct": 123,
          "targetMemoryAvgUtilizationPct": 123,
          "useSessionAffinity": true
        },
        "discoverable": true,
        "enableDeepLinking": true,
        "externalVolumeMounts": [
          "<string>"
        ],
        "hardwareTierIdSuggestion": "<string>",
        "mountDatasets": true
      },
      "extension": {
        "description": "<string>",
        "enabled": true,
        "name": "<string>",
        "uiMountPointTypeConfigs": {
          "adminPanel": {
            "enabled": true,
            "urlConfig": {
              "contextualQueryParams": [
                "<string>"
              ],
              "route": "<string>"
            }
          },
          "dataset": {
            "enabled": true,
            "urlConfig": {
              "contextualQueryParams": [
                "<string>"
              ],
              "route": "<string>"
            }
          },
          "datasetFileContext": {
            "enabled": true,
            "allProjects": true,
            "fileTypes": [
              "<string>"
            ],
            "urlConfig": {
              "contextualQueryParams": [
                "<string>"
              ],
              "route": "<string>"
            }
          },
          "modelDetails": {
            "enabled": true,
            "urlConfig": {
              "contextualQueryParams": [
                "<string>"
              ],
              "route": "<string>"
            }
          },
          "projectSidebar": {
            "enabled": true,
            "allProjects": true,
            "urlConfig": {
              "contextualQueryParams": [
                "<string>"
              ],
              "route": "<string>"
            }
          },
          "topBar": {
            "enabled": true,
            "urlConfig": {
              "contextualQueryParams": [
                "<string>"
              ],
              "route": "<string>"
            }
          }
        }
      },
      "manifestSchemaVersion": 123,
      "project": {
        "description": "<string>",
        "name": "<string>"
      }
    },
    "uninstallAttempts": 123,
    "uninstallRequested": true
  },
  "installDisplayName": "<string>",
  "versionsFetchFailedReason": "<string>"
}

Authorizations

X-Domino-Api-Key
string
header
required

Path Parameters

id
string
required

The id of the OfficialExtensionInstall record.

Response

Success

availableVersions
object[]
required

Versions from the repo's extension_versions.json with compatibility metadata.

remoteRepo
string
required

The URL of the GitHub repository for this official extension.

versionsFetchFailed
boolean
required

True if fetching extension_versions.json from the remote repo failed.

currentInstall
object | null

The last successfully completed install or upgrade. Null if no install has completed.

description
string | null

The GitHub repository description.

id
string | null

The id of the OfficialExtensionInstall record. Null if this extension has not been installed yet.

incompleteInstall
object | null

The currently in-progress or failed install/upgrade. Null if none.

installDisplayName
string | null

Display name for the install card, from extension_versions.json.

versionsFetchFailedReason
string | null

Why the fetch failed. Only set when versionsFetchFailed is true.